---
title: '::grammar-error'
slug: 'Web/CSS/::grammar-error'
tags:
  - CSS
  - Experimental
  - Pseudo-element
  - Reference
  - Selector
---
<div>{{CSSRef}}{{SeeCompatTable}}</div>

<p>The <strong><code>::grammar-error</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en/CSS/Pseudo-elements">pseudo-element</a> represents a text segment which the {{glossary("user agent")}} has flagged as grammatically incorrect.</p>

<h2 id="Allowable_properties">Allowable properties</h2>

<p>Only a small subset of CSS properties can be used in a rule with <code>::grammar-error</code> in its selector:</p>

<ul>
 <li>{{cssxref("color")}}</li>
 <li>{{cssxref("background-color")}}</li>
 <li>{{cssxref("cursor")}}</li>
 <li>{{cssxref("caret-color")}}</li>
 <li>{{cssxref("outline")}} and its longhands</li>
 <li>{{cssxref("text-decoration")}} and its associated properties</li>
 <li>{{cssxref("text-emphasis-color")}}</li>
 <li>{{cssxref("text-shadow")}}</li>
</ul>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">::grammar-error</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Simple_document_grammar_check">Simple document grammar check</h3>

<p>In this example, eventual supporting browsers should highlight any flagged grammatical errors with the styles shown.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;p&gt;My friends is coming to the party tonight.&lt;/p&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">::grammar-error  {
  text-decoration: underline red;
  color: red;
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Simple_document_grammar_check', '100%', 60)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Pseudo-Elements', '#selectordef-grammar-error', '::grammar-error')}}</td>
   <td>{{Spec2('CSS4 Pseudo-Elements')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("css.selectors.grammar-error")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("::spelling-error")}}</li>
</ul>
